=== debian/changelog ===
dde-grand-search (6.0.9.2) unstable; urgency=medium

  * Adapt to DFM search interface

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 09 May 2025 14:13:11 +0800

dde-grand-search (6.0.9.1) unstable; urgency=medium

  * test for new-file-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 22 Apr 2025 13:20:24 +0800

dde-grand-search (6.0.9) unstable; urgency=medium

  * New version 6.0.9

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 10 Apr 2025 20:14:55 +0800

dde-grand-search (6.0.8) unstable; urgency=medium

  * New version 6.0.8

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 10 Apr 2025 16:26:56 +0800

dde-grand-search (6.0.7) unstable; urgency=medium

  * fix: improve service availability check in FileNameSearcher

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 15:56:32 +0800

dde-grand-search (6.0.6) unstable; urgency=medium

  * New version 6.0.6. 

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 14:01:08 +0800

dde-grand-search (6.0.5) unstable; urgency=medium

  * New version 6.0.5. 

 -- Wang Yu <wangyu@uniontch.com>  Thu, 06 Mar 2025 20:33:23 +0800

dde-grand-search (6.0.4) unstable; urgency=medium

  * fix: improve plugin item opening with async dbus call(Bug: 305007)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:12:56 +0800

dde-grand-search (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 14 Feb 2025 10:15:53 +0800

dde-grand-search (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- Wang Yu <wangyu@uniontch.com>  Wed, 22 Jan 2025 10:40:39 +0800

dde-grand-search (6.0.1) unstable; urgency=medium

  * update dde-grand-search V25 6.0.1 baseline version

 -- zhangyu <zhangyub@uniontech.com>  Tues, 21 Jan 2025 15:05:50 +0800

dde-grand-search (6.0.0) unstable; urgency=medium

  * New version 6.0.0
  * support Qt6

 -- Wang Yu <wangyu@uniontch.com>  Mon, 20 Jan 2025 13:49:28 +0800

dde-grand-search (5.5.14) unstable; urgency=medium

  * update version

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 17 Jan 2025 21:36:12 +0800

dde-grand-search (5.5.13) unstable; urgency=medium

  * update dde-grand-search V25 5.5.13 baseline version
  * fix issue about launch app and CI build.

 -- re2zero <yangwu@uniontech.com>  Fri, 17 Jan 2025 14:45:45 +0800

dde-grand-search (5.5.12) unstable; urgency=medium

  * update dde-grand-search V25 5.5.12 baseline version
  * fix issue about launch app and CI build.

 -- re2zero <yangwu@uniontech.com>  Fri, 17 Jan 2025 14:15:36 +0800

dde-grand-search (5.5.11) unstable; urgency=medium

  * update dde-grand-search V25 5.5.11 baseline version

 -- zhangyu <zhangyub@uniontech.com>  Thu, 19 Dec 2024 21:18:40 +0800
 

dde-grand-search (5.5.10) unstable; urgency=medium

  * update varsion.
  * Workaround blocked issue

  -- re2zero <yangwu@uniontech.com>  Sat, 16 Dec 2024 04:28:55 +0800

dde-grand-search (5.5.8) unstable; urgency=medium

  * update varsion.

 -- liuyangming <liuyangming@uniontech.com>  Sat, 14 Dec 2024 13:25:53 +0800
