=== debian/control ===
Source: dde-grand-search
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
 pkg-config,
 qt6-base-dev,
 libqt6core5compat6-dev,
 libdtk6widget-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtk6core-bin,
 libdtk6declarative-dev,
 libdfm6-search-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 cmake,
 dde-tray-loader-dev | dde-dock-dev,
 libglib2.0-dev,
 libffmpegthumbnailer-dev,
 libavformat-dev,
 libavcodec-dev,
 libtag1-dev,
 libicu-dev,
 libdeepin-pdfium-dev (>=1.5.1),
 libjpeg62-turbo-dev,
 liblucene++-dev,
 libboost-dev,
 libdeepin-service-framework-dev (>1.0.9),
 libdde-shell-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-grand-search
Architecture: any
Replaces: dde-shell (<=1.99.30)
Depends: ${shlibs:Depends}, ${misc:Depends},
Recommends:
 deepin-desktop-schemas (>=5.8.0.34),
 dde-daemon (>=5.12.0.31),
 startdde (>=5.6.0.34),
 deepin-anything-server[i386 amd64]
Description: deepin desktop-environment - search module
 Search module of deepin desktop-environment
