=== debian/changelog ===
dde-grand-search (6.0.17) unstable; urgency=medium

  * Deleted the `dde-grand-search_en_AU.ts` translation file as it is no longer needed.

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 17:09:41 +0800

dde-grand-search (6.0.16) unstable; urgency=medium

  * fix: The search icon looks pixelated

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 26 Jun 2025 13:58:09 +0800

dde-grand-search (6.0.15) unstable; urgency=medium

  * wildcard support

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 17:41:04 +0800

dde-grand-search (6.0.14) unstable; urgency=medium

  * update translations

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 11:48:11 +0800

dde-grand-search (6.0.13) unstable; urgency=medium

  * improve search method handling and logging in file search components

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 13 Jun 2025 09:31:45 +0800

dde-grand-search (6.0.12) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 29 May 2025 19:20:34 +0800

dde-grand-search (6.0.11) unstable; urgency=medium

  * new file-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 21 May 2025 18:11:40 +0800

dde-grand-search (6.0.10) unstable; urgency=medium

  * refactor search for filename 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 20 May 2025 09:50:31 +0800
