=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper (>= 9),
  pkg-config,
- qt6-base-dev,
- libqt6core5compat6-dev,
- libdtk6widget-dev,
- libdtk6core-dev,
- libdtk6gui-dev,
- libdtk6core-bin,
- libdtk6declarative-dev,
- libdfm6-search-dev,
- qt6-tools-dev-tools,
- qt6-declarative-dev,
+ qt6-base-dev | qtbase5-dev,
+ qt6-5compat-dev | hello,
+ libdtk6widget-dev | libdtkwidget-dev,
+ libdtk6core-dev | libdtkcore-dev,
+ libdtk6gui-dev | libdtkgui-dev,
+ libdtk6core-bin | libdtkcore5-bin,
+ libdtk6declarative-dev | hello,
+ libdfm6-search-dev | libdfm-search-dev,
+ qt6-tools-dev-tools | qttools5-dev-tools,
+ qt6-declarative-dev | hello,
  cmake,
  dde-tray-loader-dev | dde-dock-dev,
  libglib2.0-dev,
@@ -22,12 +22,13 @@
  libavcodec-dev,
  libtag1-dev,
  libicu-dev,
- libdeepin-pdfium-dev (>=1.5.1),
+ libdeepin-pdfium-dev,
  libjpeg62-turbo-dev,
  liblucene++-dev,
  libboost-dev,
  libdeepin-service-framework-dev (>1.0.9),
- libdde-shell-dev
+ libdde-shell-dev | hello,
+ deepin-desktop-base
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org/
