## dde-grand-search 6.0.20

=== debian/changelog ===
dde-grand-search (6.0.20) unstable; urgency=medium

  * chore: Update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 10 Jul 2025 19:49:44 +0800

dde-grand-search (6.0.19) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Thu, 03 Jul 2025 16:02:31 +0800

dde-grand-search (6.0.18) unstable; urgency=medium

  * fix bugs
  * update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 01 Jul 2025 20:35:21 +0800
